Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/inifis.F	(revision 227)
@@ -10,4 +10,5 @@
       use comsoil_h, only: ini_comsoil_h
       use control_mod, only: ecritphy
+      use planete_mod, only: nres
       use planetwide_mod, only: planetwide_sumval
 
@@ -49,9 +50,10 @@
       use datafile_mod, only: datadir
 ! to use  'getin'
-      USE ioipsl_getincom 
+!      USE ioipsl_getincom 
+      USE ioipsl_getincom_p
       IMPLICIT NONE
-#include "dimensions.h"
-#include "dimphys.h"
-#include "planete.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
+!#include "planete.h"
 #include "comcstfi.h"
 #include "callkeys.h"
@@ -78,4 +80,5 @@
       real psurf,pN2 ! added by RW for Gliese 581d N2+CO2
 
+!$OMP MASTER
       rad=prad
       daysec=pdaysec
@@ -88,18 +91,10 @@
       avocado = 6.02214179e23   ! added by RW
 
-! --------------------------------------------------------
-!     The usual Tests
-!     --------------
-      IF (nlayer.NE.nlayermx) THEN
-         PRINT*,'STOP in inifis'
-         PRINT*,'Probleme de dimensions :'
-         PRINT*,'nlayer     = ',nlayer
-         PRINT*,'nlayermx   = ',nlayermx
-         STOP
-      ENDIF
+!$OMP END MASTER
+!$OMP BARRIER
 
       ! read in 'ecritphy' (frequency of calls to physics, in dynamical steps)
       ! (also done in dyn3d/defrun_new but not in LMDZ.COMMON)
-      call getin("ecritphy",ecritphy)
+      call getin_p("ecritphy",ecritphy)
 
 ! --------------------------------------------------------------
@@ -107,10 +102,15 @@
 ! --------------------------------------------------------------
      
+!$OMP MASTER     
       ! check that 'callphys.def' file is around
       OPEN(99,file='callphys.def',status='old',form='formatted'
      &     ,iostat=ierr)
       CLOSE(99)
+      IF(ierr.EQ.0) iscallphys=.true. !iscallphys initialised as false in callkeys.h
+!$OMP END MASTER
+!$OMP BARRIER
       
-      IF(ierr.EQ.0) THEN
+!!!      IF(ierr.EQ.0) THEN
+      IF(iscallphys) THEN
          PRINT*
          PRINT*
@@ -121,10 +121,10 @@
          write(*,*) "Directory where external input files are:"
          ! default 'datadir' is set in "datadir_mod"
-         call getin("datadir",datadir) ! default path
+         call getin_p("datadir",datadir) ! default path
          write(*,*) " datadir = ",trim(datadir)
 
          write(*,*) "Run with or without tracer transport ?"
          tracer=.false. ! default value
-         call getin("tracer",tracer)
+         call getin_p("tracer",tracer)
          write(*,*) " tracer = ",tracer
 
@@ -132,5 +132,5 @@
      &      " due to tracer evaporation/condensation?"
          mass_redistrib=.false. ! default value
-         call getin("mass_redistrib",mass_redistrib)
+         call getin_p("mass_redistrib",mass_redistrib)
          write(*,*) " mass_redistrib = ",mass_redistrib
 
@@ -138,5 +138,5 @@
          write(*,*) "(if diurnal=false, diurnal averaged solar heating)"
          diurnal=.true. ! default value
-         call getin("diurnal",diurnal)
+         call getin_p("diurnal",diurnal)
          write(*,*) " diurnal = ",diurnal
 
@@ -145,25 +145,25 @@
      &   "set in 'start'"
          season=.true. ! default value
-         call getin("season",season)
+         call getin_p("season",season)
          write(*,*) " season = ",season
 
          write(*,*) "Tidally resonant rotation ?"
          tlocked=.false. ! default value
-         call getin("tlocked",tlocked)
+         call getin_p("tlocked",tlocked)
          write(*,*) "tlocked = ",tlocked
 
          write(*,*) "Saturn ring shadowing ?"
          rings_shadow = .false.
-         call getin("rings_shadow", rings_shadow)
+         call getin_p("rings_shadow", rings_shadow)
          write(*,*) "rings_shadow = ", rings_shadow
          
          write(*,*) "Compute latitude-dependent gravity field?"
          oblate = .false.
-         call getin("oblate", oblate)
+         call getin_p("oblate", oblate)
          write(*,*) "oblate = ", oblate
 
          write(*,*) "Flattening of the planet (a-b)/a "
          flatten = 0.0
-         call getin("flatten", flatten)
+         call getin_p("flatten", flatten)
          write(*,*) "flatten = ", flatten
          
@@ -171,15 +171,15 @@
          write(*,*) "Needed if oblate=.true.: J2"
          J2 = 0.0
-         call getin("J2", J2)
+         call getin_p("J2", J2)
          write(*,*) "J2 = ", J2
          
          write(*,*) "Needed if oblate=.true.: Planet mass (*1e24 kg)"
          MassPlanet = 0.0
-         call getin("MassPlanet", MassPlanet)
+         call getin_p("MassPlanet", MassPlanet)
          write(*,*) "MassPlanet = ", MassPlanet         
 
          write(*,*) "Needed if oblate=.true.: Planet mean radius (m)"
          Rmean = 0.0
-         call getin("Rmean", Rmean)
+         call getin_p("Rmean", Rmean)
          write(*,*) "Rmean = ", Rmean
          
@@ -193,40 +193,40 @@
          write(*,*) "Tidal resonance ratio ?"
          nres=0          ! default value
-         call getin("nres",nres)
+         call getin_p("nres",nres)
          write(*,*) "nres = ",nres
 
          write(*,*) "Write some extra output to the screen ?"
          lwrite=.false. ! default value
-         call getin("lwrite",lwrite)
+         call getin_p("lwrite",lwrite)
          write(*,*) " lwrite = ",lwrite
 
          write(*,*) "Save statistics in file stats.nc ?"
          callstats=.true. ! default value
-         call getin("callstats",callstats)
+         call getin_p("callstats",callstats)
          write(*,*) " callstats = ",callstats
 
          write(*,*) "Test energy conservation of model physics ?"
          enertest=.false. ! default value
-         call getin("enertest",enertest)
+         call getin_p("enertest",enertest)
          write(*,*) " enertest = ",enertest
 
          write(*,*) "Check to see if cpp values used match gases.def ?"
          check_cpp_match=.true. ! default value
-         call getin("check_cpp_match",check_cpp_match)
+         call getin_p("check_cpp_match",check_cpp_match)
          write(*,*) " check_cpp_match = ",check_cpp_match
 
          write(*,*) "call radiative transfer ?"
          callrad=.true. ! default value
-         call getin("callrad",callrad)
+         call getin_p("callrad",callrad)
          write(*,*) " callrad = ",callrad
 
          write(*,*) "call correlated-k radiative transfer ?"
          corrk=.true. ! default value
-         call getin("corrk",corrk)
+         call getin_p("corrk",corrk)
          write(*,*) " corrk = ",corrk
 
          write(*,*) "prohibit calculations outside corrk T grid?"
          strictboundcorrk=.true. ! default value
-         call getin("strictboundcorrk",strictboundcorrk)
+         call getin_p("strictboundcorrk",strictboundcorrk)
          write(*,*) "strictboundcorrk = ",strictboundcorrk
 
@@ -234,5 +234,5 @@
      &              "(matters only if callrad=T)"
          callgasvis=.false. ! default value
-         call getin("callgasvis",callgasvis)
+         call getin_p("callgasvis",callgasvis)
          write(*,*) " callgasvis = ",callgasvis
         
@@ -240,30 +240,30 @@
      &              "(matters only if callrad=T)"
          continuum=.true. ! default value
-         call getin("continuum",continuum)
+         call getin_p("continuum",continuum)
          write(*,*) " continuum = ",continuum
 
          write(*,*) "use analytic function for H2O continuum ?"
          H2Ocont_simple=.false. ! default value
-         call getin("H2Ocont_simple",H2Ocont_simple)
+         call getin_p("H2Ocont_simple",H2Ocont_simple)
          write(*,*) " H2Ocont_simple = ",H2Ocont_simple
  
          write(*,*) "call turbulent vertical diffusion ?"
          calldifv=.true. ! default value
-         call getin("calldifv",calldifv)
+         call getin_p("calldifv",calldifv)
          write(*,*) " calldifv = ",calldifv
 
          write(*,*) "use turbdiff instead of vdifc ?"
          UseTurbDiff=.true. ! default value
-         call getin("UseTurbDiff",UseTurbDiff)
+         call getin_p("UseTurbDiff",UseTurbDiff)
          write(*,*) " UseTurbDiff = ",UseTurbDiff
 
          write(*,*) "call convective adjustment ?"
          calladj=.true. ! default value
-         call getin("calladj",calladj)
+         call getin_p("calladj",calladj)
          write(*,*) " calladj = ",calladj
 
          write(*,*) "call CO2 condensation ?"
          co2cond=.false. ! default value
-         call getin("co2cond",co2cond)
+         call getin_p("co2cond",co2cond)
          write(*,*) " co2cond = ",co2cond
 ! Test of incompatibility
@@ -275,10 +275,10 @@
          write(*,*) "CO2 supersaturation level ?"
          co2supsat=1.0 ! default value
-         call getin("co2supsat",co2supsat)
+         call getin_p("co2supsat",co2supsat)
          write(*,*) " co2supsat = ",co2supsat
 
          write(*,*) "Radiative timescale for Newtonian cooling ?"
          tau_relax=30. ! default value
-         call getin("tau_relax",tau_relax)
+         call getin_p("tau_relax",tau_relax)
          write(*,*) " tau_relax = ",tau_relax
          tau_relax=tau_relax*24*3600 ! convert Earth days --> seconds
@@ -286,5 +286,5 @@
          write(*,*)"call thermal conduction in the soil ?"
          callsoil=.true. ! default value
-         call getin("callsoil",callsoil)
+         call getin_p("callsoil",callsoil)
          write(*,*) " callsoil = ",callsoil
          
@@ -292,40 +292,40 @@
      &             " physical timestep"
          iradia=1 ! default value
-         call getin("iradia",iradia)
+         call getin_p("iradia",iradia)
          write(*,*)" iradia = ",iradia
        
          write(*,*)"Rayleigh scattering ?"
          rayleigh=.false.
-         call getin("rayleigh",rayleigh)
+         call getin_p("rayleigh",rayleigh)
          write(*,*)" rayleigh = ",rayleigh
 
          write(*,*) "Use blackbody for stellar spectrum ?"
          stelbbody=.false. ! default value
-         call getin("stelbbody",stelbbody)
+         call getin_p("stelbbody",stelbbody)
          write(*,*) " stelbbody = ",stelbbody
 
          write(*,*) "Stellar blackbody temperature ?"
          stelTbb=5800.0 ! default value
-         call getin("stelTbb",stelTbb)
+         call getin_p("stelTbb",stelTbb)
          write(*,*) " stelTbb = ",stelTbb
 
          write(*,*)"Output mean OLR in 1D?"
          meanOLR=.false.
-         call getin("meanOLR",meanOLR)
+         call getin_p("meanOLR",meanOLR)
          write(*,*)" meanOLR = ",meanOLR
 
          write(*,*)"Output spectral OLR in 3D?"
          specOLR=.false.
-         call getin("specOLR",specOLR)
+         call getin_p("specOLR",specOLR)
          write(*,*)" specOLR = ",specOLR
 
          write(*,*)"Operate in kastprof mode?"
          kastprof=.false.
-         call getin("kastprof",kastprof)
+         call getin_p("kastprof",kastprof)
          write(*,*)" kastprof = ",kastprof
 
          write(*,*)"Uniform absorption in radiative transfer?"
          graybody=.false.
-         call getin("graybody",graybody)
+         call getin_p("graybody",graybody)
          write(*,*)" graybody = ",graybody
 
@@ -333,15 +333,15 @@
          write(*,*) "Use slab-ocean ?"
          ok_slab_ocean=.false.         ! default value
-         call getin("ok_slab_ocean",ok_slab_ocean)
+         call getin_p("ok_slab_ocean",ok_slab_ocean)
          write(*,*) "ok_slab_ocean = ",ok_slab_ocean
 
          write(*,*) "Use slab-sea-ice ?"
          ok_slab_sic=.true.         ! default value
-         call getin("ok_slab_sic",ok_slab_sic)
+         call getin_p("ok_slab_sic",ok_slab_sic)
          write(*,*) "ok_slab_sic = ",ok_slab_sic
 
          write(*,*) "Use heat transport for the ocean ?"
          ok_slab_heat_transp=.true.   ! default value
-         call getin("ok_slab_heat_transp",ok_slab_heat_transp)
+         call getin_p("ok_slab_heat_transp",ok_slab_heat_transp)
          write(*,*) "ok_slab_heat_transp = ",ok_slab_heat_transp
 
@@ -357,10 +357,10 @@
          write(*,*)"Stratospheric temperature for kastprof mode?"
          Tstrat=167.0
-         call getin("Tstrat",Tstrat)
+         call getin_p("Tstrat",Tstrat)
          write(*,*)" Tstrat = ",Tstrat
 
          write(*,*)"Remove lower boundary?"
          nosurf=.false.
-         call getin("nosurf",nosurf)
+         call getin_p("nosurf",nosurf)
          write(*,*)" nosurf = ",nosurf
 
@@ -375,10 +375,10 @@
      .             "... matters only if callsoil=F"
          intheat=0.
-         call getin("intheat",intheat)
+         call getin_p("intheat",intheat)
          write(*,*)" intheat = ",intheat
 
          write(*,*)"Use Newtonian cooling for radiative transfer?"
          newtonian=.false.
-         call getin("newtonian",newtonian)
+         call getin_p("newtonian",newtonian)
          write(*,*)" newtonian = ",newtonian
 
@@ -399,5 +399,5 @@
          write(*,*)"Test physics timescale in 1D?"
          testradtimes=.false.
-         call getin("testradtimes",testradtimes)
+         call getin_p("testradtimes",testradtimes)
          write(*,*)" testradtimes = ",testradtimes
 
@@ -411,15 +411,15 @@
          write(*,*)"Default planetary temperature?"
          tplanet=215.0
-         call getin("tplanet",tplanet)
+         call getin_p("tplanet",tplanet)
          write(*,*)" tplanet = ",tplanet
 
          write(*,*)"Which star?"
          startype=1 ! default value = Sol
-         call getin("startype",startype)
+         call getin_p("startype",startype)
          write(*,*)" startype = ",startype
 
          write(*,*)"Value of stellar flux at 1 AU?"
          Fat1AU=1356.0 ! default value = Sol today
-         call getin("Fat1AU",Fat1AU)
+         call getin_p("Fat1AU",Fat1AU)
          write(*,*)" Fat1AU = ",Fat1AU
 
@@ -429,15 +429,15 @@
          write(*,*)"Varying H2O cloud fraction?"
          CLFvarying=.false.     ! default value
-         call getin("CLFvarying",CLFvarying)
+         call getin_p("CLFvarying",CLFvarying)
          write(*,*)" CLFvarying = ",CLFvarying
 
          write(*,*)"Value of fixed H2O cloud fraction?"
          CLFfixval=1.0                ! default value
-         call getin("CLFfixval",CLFfixval)
+         call getin_p("CLFfixval",CLFfixval)
          write(*,*)" CLFfixval = ",CLFfixval
 
          write(*,*)"fixed radii for Cloud particles?"
          radfixed=.false. ! default value
-         call getin("radfixed",radfixed)
+         call getin_p("radfixed",radfixed)
          write(*,*)" radfixed = ",radfixed
 
@@ -448,40 +448,40 @@
 	 write(*,*)"Number mixing ratio of CO2 ice particles:"
          Nmix_co2=1.e6 ! default value
-         call getin("Nmix_co2",Nmix_co2)
+         call getin_p("Nmix_co2",Nmix_co2)
          write(*,*)" Nmix_co2 = ",Nmix_co2
 
 !         write(*,*)"Number of radiatively active aerosols:"
 !         naerkind=0. ! default value
-!         call getin("naerkind",naerkind)
+!         call getin_p("naerkind",naerkind)
 !         write(*,*)" naerkind = ",naerkind
 
          write(*,*)"Opacity of dust (if used):"
          dusttau=0. ! default value
-         call getin("dusttau",dusttau)
+         call getin_p("dusttau",dusttau)
          write(*,*)" dusttau = ",dusttau
 
          write(*,*)"Radiatively active CO2 aerosols?"
          aeroco2=.false.     ! default value
-         call getin("aeroco2",aeroco2)
+         call getin_p("aeroco2",aeroco2)
          write(*,*)" aeroco2 = ",aeroco2
 
          write(*,*)"Fixed CO2 aerosol distribution?"
          aerofixco2=.false.     ! default value
-         call getin("aerofixco2",aerofixco2)
+         call getin_p("aerofixco2",aerofixco2)
          write(*,*)" aerofixco2 = ",aerofixco2
 
          write(*,*)"Radiatively active water ice?"
          aeroh2o=.false.     ! default value
-         call getin("aeroh2o",aeroh2o)
+         call getin_p("aeroh2o",aeroh2o)
          write(*,*)" aeroh2o = ",aeroh2o
 
          write(*,*)"Fixed H2O aerosol distribution?"
          aerofixh2o=.false.     ! default value
-         call getin("aerofixh2o",aerofixh2o)
+         call getin_p("aerofixh2o",aerofixh2o)
          write(*,*)" aerofixh2o = ",aerofixh2o
 
          write(*,*)"Radiatively active sulfuric acid aersols?"
          aeroh2so4=.false.     ! default value
-         call getin("aeroh2so4",aeroh2so4)
+         call getin_p("aeroh2so4",aeroh2so4)
          write(*,*)" aeroh2so4 = ",aeroh2so4
 	 
@@ -490,5 +490,5 @@
 	 write(*,*)"Radiatively active two-layer aersols?"
          aeroback2lay=.false.     ! default value
-         call getin("aeroback2lay",aeroback2lay)
+         call getin_p("aeroback2lay",aeroback2lay)
          write(*,*)" aeroback2lay = ",aeroback2lay
 
@@ -496,5 +496,5 @@
      &              "in the tropospheric layer (visible)"
          obs_tau_col_tropo=8.D0
-         call getin("obs_tau_col_tropo",obs_tau_col_tropo)
+         call getin_p("obs_tau_col_tropo",obs_tau_col_tropo)
          write(*,*)" obs_tau_col_tropo = ",obs_tau_col_tropo
 
@@ -502,25 +502,25 @@
      &              "in the stratospheric layer (visible)"
          obs_tau_col_strato=0.08D0
-         call getin("obs_tau_col_strato",obs_tau_col_strato)
+         call getin_p("obs_tau_col_strato",obs_tau_col_strato)
          write(*,*)" obs_tau_col_strato = ",obs_tau_col_strato
 
          write(*,*)"TWOLAY AEROSOL: pres_bottom_tropo? in pa"
          pres_bottom_tropo=66000.0
-         call getin("pres_bottom_tropo",pres_bottom_tropo)
+         call getin_p("pres_bottom_tropo",pres_bottom_tropo)
          write(*,*)" pres_bottom_tropo = ",pres_bottom_tropo
 
          write(*,*)"TWOLAY AEROSOL: pres_top_tropo? in pa"
          pres_top_tropo=18000.0
-         call getin("pres_top_tropo",pres_top_tropo)
+         call getin_p("pres_top_tropo",pres_top_tropo)
          write(*,*)" pres_top_tropo = ",pres_top_tropo
 
          write(*,*)"TWOLAY AEROSOL: pres_bottom_strato? in pa"
          pres_bottom_strato=2000.0
-         call getin("pres_bottom_strato",pres_bottom_strato)
+         call getin_p("pres_bottom_strato",pres_bottom_strato)
          write(*,*)" pres_bottom_strato = ",pres_bottom_strato
 
          write(*,*)"TWOLAY AEROSOL: pres_top_strato? in pa"
          pres_top_strato=100.0
-         call getin("pres_top_strato",pres_top_strato)
+         call getin_p("pres_top_strato",pres_top_strato)
          write(*,*)" pres_top_strato = ",pres_top_strato
 
@@ -528,5 +528,5 @@
      &              "tropospheric layer, in meters"
          size_tropo=2.e-6
-         call getin("size_tropo",size_tropo)
+         call getin_p("size_tropo",size_tropo)
          write(*,*)" size_tropo = ",size_tropo
 
@@ -534,5 +534,5 @@
      &              "stratospheric layer, in meters"
          size_strato=1.e-7
-         call getin("size_strato",size_strato)
+         call getin_p("size_strato",size_strato)
          write(*,*)" size_strato = ",size_strato
 
@@ -541,5 +541,5 @@
          write(*,*)"Cloud pressure level (with kastprof only):"
          cloudlvl=0. ! default value
-         call getin("cloudlvl",cloudlvl)
+         call getin_p("cloudlvl",cloudlvl)
          write(*,*)" cloudlvl = ",cloudlvl
 
@@ -547,15 +547,15 @@
          Tstrat=167.0
          varactive=.false.
-         call getin("varactive",varactive)
+         call getin_p("varactive",varactive)
          write(*,*)" varactive = ",varactive
 
          write(*,*)"Is the variable gas species distribution set?"
          varfixed=.false.
-         call getin("varfixed",varfixed)
+         call getin_p("varfixed",varfixed)
          write(*,*)" varfixed = ",varfixed
 
          write(*,*)"What is the saturation % of the variable species?"
          satval=0.8
-         call getin("satval",satval)
+         call getin_p("satval",satval)
          write(*,*)" satval = ",satval
 
@@ -570,10 +570,10 @@
          write(*,*) "Gravitationnal sedimentation ?"
          sedimentation=.false. ! default value
-         call getin("sedimentation",sedimentation)
+         call getin_p("sedimentation",sedimentation)
          write(*,*) " sedimentation = ",sedimentation
 
          write(*,*) "Compute water cycle ?"
          water=.false. ! default value
-         call getin("water",water)
+         call getin_p("water",water)
          write(*,*) " water = ",water
          
@@ -587,5 +587,5 @@
          write(*,*) "Include water condensation ?"
          watercond=.false. ! default value
-         call getin("watercond",watercond)
+         call getin_p("watercond",watercond)
          write(*,*) " watercond = ",watercond
 
@@ -599,40 +599,40 @@
          write(*,*) "Include water precipitation ?"
          waterrain=.false. ! default value
-         call getin("waterrain",waterrain)
+         call getin_p("waterrain",waterrain)
          write(*,*) " waterrain = ",waterrain
 
          write(*,*) "Include surface hydrology ?"
          hydrology=.false. ! default value
-         call getin("hydrology",hydrology)
+         call getin_p("hydrology",hydrology)
          write(*,*) " hydrology = ",hydrology
 
          write(*,*) "Evolve surface water sources ?"
          sourceevol=.false. ! default value
-         call getin("sourceevol",sourceevol)
+         call getin_p("sourceevol",sourceevol)
          write(*,*) " sourceevol = ",sourceevol
 
          write(*,*) "Ice evolution timestep ?"
          icetstep=100.0 ! default value
-         call getin("icetstep",icetstep)
+         call getin_p("icetstep",icetstep)
          write(*,*) " icetstep = ",icetstep
 
          write(*,*) "Snow albedo ?"
          albedosnow=0.5         ! default value
-         call getin("albedosnow",albedosnow)
+         call getin_p("albedosnow",albedosnow)
          write(*,*) " albedosnow = ",albedosnow
 
          write(*,*) "Maximum ice thickness ?"
          maxicethick=2.0         ! default value
-         call getin("maxicethick",maxicethick)
+         call getin_p("maxicethick",maxicethick)
          write(*,*) " maxicethick = ",maxicethick
 
          write(*,*) "Freezing point of seawater ?"
          Tsaldiff=-1.8          ! default value
-         call getin("Tsaldiff",Tsaldiff)
+         call getin_p("Tsaldiff",Tsaldiff)
          write(*,*) " Tsaldiff = ",Tsaldiff
 
          write(*,*) "Does user want to force cpp and mugaz?"
          force_cpp=.false. ! default value
-         call getin("force_cpp",force_cpp)
+         call getin_p("force_cpp",force_cpp)
          write(*,*) " force_cpp = ",force_cpp
 
@@ -640,5 +640,5 @@
            mugaz = -99999.
            PRINT *,'MEAN MOLECULAR MASS in g mol-1 ?'
-           call getin("mugaz",mugaz)
+           call getin_p("mugaz",mugaz)
            IF (mugaz.eq.-99999.) THEN
                PRINT *, "mugaz must be set if force_cpp = T"
@@ -649,5 +649,5 @@
            cpp = -99999.
            PRINT *,'SPECIFIC HEAT CAPACITY in J K-1 kg-1 ?'
-           call getin("cpp",cpp)
+           call getin_p("cpp",cpp)
            IF (cpp.eq.-99999.) THEN
                PRINT *, "cpp must be set if force_cpp = T"
@@ -711,5 +711,8 @@
       ENDDO
 
+!$OMP MASTER
       pi=2.*asin(1.) ! NB: pi is a common in comcstfi.h
+!$OMP END MASTER
+!$OMP BARRIER
 
       ! allocate "comsoil_h" arrays
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniorbit.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniorbit.F	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniorbit.F	(revision 227)
@@ -1,4 +1,7 @@
       SUBROUTINE iniorbit
      $     (papoastr,pperiastr,pyear_day,pperi_day,pobliq)
+      
+      USE planete_mod, only: apoastr, periastr, year_day, obliquit,
+     &                       peri_day, e_elips, p_elips, timeperi
       IMPLICIT NONE
 
@@ -19,5 +22,5 @@
 c   ----------
 c   - Doit etre appele avant d'utiliser orbite.
-c   - initialise une partie du common planete.h
+c   - initialise une partie du common planete_mod
 c
 c   Arguments:
@@ -35,5 +38,5 @@
 c   -------------
 
-#include "planete.h"
+!#include "planete.h"
 #include "comcstfi.h"
 
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniphysiq.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniphysiq.F90	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniphysiq.F90	(revision 227)
@@ -17,6 +17,9 @@
                        rlatd ! latitudes
 use infotrac, only : nqtot ! number of advected tracers
+use planete_mod, only: ini_planete_mod
 
 implicit none
+include "dimensions.h"
+include "comvert.h"
 
 real,intent(in) :: prad ! radius of the planet (m)
@@ -58,6 +61,6 @@
 ENDIF
 
-!$OMP PARALLEL PRIVATE(ibegin,iend) 
-!$OMP+         SHARED(parea,pcu,pcv,plon,plat)
+!$OMP PARALLEL PRIVATE(ibegin,iend) & 
+	!$OMP SHARED(parea,pcu,pcv,plon,plat)
       
 offset=0
@@ -67,4 +70,7 @@
 rlond(1:klon_omp)=plon(offset+klon_omp_begin:offset+klon_omp_end)
 rlatd(1:klon_omp)=plat(offset+klon_omp_begin:offset+klon_omp_end)
+
+! copy over preff , ap() and bp() 
+call ini_planete_mod(nlayer,preff,ap,bp)
 
 ! copy some fundamental parameters to physics 
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/initracer.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/initracer.F	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/initracer.F	(revision 227)
@@ -24,5 +24,5 @@
 
 #include "dimensions.h"
-#include "dimphys.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 #include "callkeys.h"
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniwrite_specIR.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniwrite_specIR.F	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniwrite_specIR.F	(revision 227)
@@ -34,5 +34,5 @@
 #include "netcdf.inc"
 #include "serre.h"
-#include"dimphys.h"
+!#include"dimphys.h"
 
 c   Arguments:
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniwrite_specVI.F
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniwrite_specVI.F	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/iniwrite_specVI.F	(revision 227)
@@ -34,5 +34,5 @@
 #include "netcdf.inc"
 #include "serre.h"
-#include"dimphys.h"
+!#include"dimphys.h"
 
 c   Arguments:
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2H2.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2H2.F90	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2H2.F90	(revision 227)
@@ -43,5 +43,5 @@
       logical firstcall
 
-      save wn_arr, temp_arr, abs_arr
+      save wn_arr, temp_arr, abs_arr !read by master
 
       character*100 dt_file
@@ -72,4 +72,5 @@
          dt_file=TRIM(datadir)//'/continuum_data/H2-H2_norm_2011.cia'
 
+!$OMP MASTER
          open(33,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
@@ -102,4 +103,6 @@
          endif
          close(33)
+!$OMP END MASTER
+!$OMP BARRIER
 
          print*,'interpolateH2H2: At wavenumber ',wn,' cm^-1'
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2He.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2He.F90	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2He.F90	(revision 227)
@@ -45,5 +45,5 @@
       logical firstcall
 
-      save wn_arr, temp_arr, abs_arr
+      save wn_arr, temp_arr, abs_arr !read by master
 
       character*100 dt_file
@@ -73,5 +73,6 @@
 !     1.1 Open the ASCII files
          dt_file=TRIM(datadir)//'/continuum_data/H2-He_norm_2011.cia'
-
+	 
+!$OMP MASTER
          open(33,file=dt_file,form='formatted',status='old',iostat=ios)
          if (ios.ne.0) then        ! file not found
@@ -104,4 +105,6 @@
          endif
          close(33)
+!$OMP END MASTER
+!$OMP BARRIER
 
          print*,'interpolateH2He: At wavenumber ',wn,' cm^-1'
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2Ocont_CKD.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2Ocont_CKD.F90	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateH2Ocont_CKD.F90	(revision 227)
@@ -43,5 +43,5 @@
       logical firstcall
 
-      save wn_arr, temp_arr, abs_arrS, abs_arrF
+      save wn_arr, temp_arr, abs_arrS, abs_arrF !read by master
 
       character*100 dt_file
@@ -57,4 +57,5 @@
 !     1.1 Open the ASCII files
 
+!$OMP MASTER
          ! nu array
          dt_file=TRIM(datadir)//'/continuum_data/H2O_CONT_NU.dat'
@@ -129,4 +130,6 @@
          print*,'   H2O pressure ',presS,' Pa'
          print*,'   air pressure ',presF,' Pa'
+!$OMP END MASTER
+!$OMP BARRIER
 	 
       endif
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateN2H2.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateN2H2.F90	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateN2H2.F90	(revision 227)
@@ -44,5 +44,5 @@
   logical firstcall
 
-  save wn_arr, temp_arr, abs_arr
+  save wn_arr, temp_arr, abs_arr !read by master
 
   character*100 dt_file
@@ -72,4 +72,5 @@
      dt_file=TRIM(datadir)//'/continuum_data/N2-H2_2011.cia'
 
+!$OMP MASTER
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
@@ -102,4 +103,6 @@
      endif
      close(33)
+!$OMP END MASTER
+!$OMP BARRIER
 
      print*,'interpolateN2H2: At wavenumber ',wn,' cm^-1'
Index: codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateN2N2.F90
===================================================================
--- codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateN2N2.F90	(revision 224)
+++ codes/icosagcm/branches/SATURN_DYNAMICO/LMDZ.COMMON/libf/phystd/interpolateN2N2.F90	(revision 227)
@@ -43,5 +43,5 @@
   logical firstcall
 
-  save wn_arr, temp_arr, abs_arr
+  save wn_arr, temp_arr, abs_arr !read by master
 
   character*100 dt_file
@@ -70,4 +70,5 @@
      dt_file=TRIM(datadir)//'/continuum_data/N2-N2_2011.cia'
 
+!$OMP MASTER
      open(33,file=dt_file,form='formatted',status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
@@ -100,4 +101,6 @@
      endif
      close(33)
+!$OMP END MASTER
+!$OMP BARRIER
 
      print*,'interpolateN2N2: At wavenumber ',wn,' cm^-1'
